Evaluate point doesn't label with cplane coordinates

@pascal
I’m ashamed to say I’ve not used this command and its label function in any serious endeavor in all my years of Rhinoing. Now I need it and notice it doesn’t label with the cplane coordinates, but rather with world coordinates only. I need it to evaluate and label with the current cplane coordinates.

Is there some hidden setting I’m missing?

v5, last update.

Thank you for any tips.

Bueller?

This help file page says “The EvaluatePt command reports and optionally labels the world and construction plane coordinates of a selected location in space.”

http://docs.mcneel.com/rhino/5/help/en-us/commands/evaluatept.htm

I have never seen this option.
I have custom cplanes that are no where near the world planes.

Hi,

The CPlane coordinates will show up in the command line,
As a workaround, you can copy that value, select the Label, go to
Properties, Dot, and paste it in the Display Text field,

yup, got that that, done that. Not a solution for doing hundreds of points.

Hi - I filed this issue as RH-51249.
Thanks for reporting!

Thanks Wim. I’m assuming there will be no fix coming for v5.
Does this function label the cplane coordinates in v6?

Hi - No, this doesn’t work as advertised on RH6 either.
Since this fix requires a change to the UI, I wouldn’t expect this to happen before Rhino 7.

Meanwhile you can use a simple python script like this:

import rhinoscriptsyntax as rs
import Rhino.Geometry as rg
world = rs.GetPoint("Point to evaluate")
orient = rg.Transform.ChangeBasis(rg.Plane.WorldXY, rs.ViewCPlane())
cplane = rg.Point3d(world)
cplane.Transform(orient)
cplane = rg.Point3d(round(cplane.X,2),round(cplane.Y,2),round(cplane.Z,2))
rs.AddTextDot(cplane, world)

carvecream.py (331 Bytes)

1 Like

ah shoo. Seemed like maybe a command line switch would handle it instead of a major UI thing.

Thank you Mahdiyar, will try this out today.

@Mahdiyar This works well, thank you! Anyway to make it label with text leader instead of dot?

You can use rs.AddLeader like this:

import rhinoscriptsyntax as rs
import Rhino.Geometry as rg
world = rs.GetPoint("Point to evaluate")
orient = rg.Transform.ChangeBasis(rg.Plane.WorldXY, rs.ViewCPlane())
cplane = rg.Point3d(world)
cplane.Transform(orient)
cplane = rg.Point3d(round(cplane.X,2),round(cplane.Y,2),round(cplane.Z,2))
rs.AddLeader([cplane,cplane+rg.Point3d(1,1,1)], None, cplane)

carvecream.py (364 Bytes)

Works better as dots. The leader is problematic as a straight line, also it projects to the cplane.
Would be cool if the leader behaved like the leader in the built-in Evaluatept command.

I suspect there’s a way to make that happen in that last line, but my python translator is not working.